#ifndef DIALOGFORM_H
#define DIALOGFORM_H

#include <QWidget>
#include "gui/scene.h"

namespace Ui {
class DialogForm;
}

class DialogForm : public Scene
{
    Q_OBJECT

public:
    explicit DialogForm(QWidget *parent = 0);

    void exec();

    bool isOk();

    void setTitle(QString title);

    void setText(QString text);

    void setShowCancel(bool show);

    ~DialogForm();

private slots:
    void on_cancel_button_clicked();

    void on_ok_button_clicked();

private:
    bool ok;
    Ui::DialogForm *ui;
};

#endif // DIALOGFORM_H
